package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 修改登录状态枚举
 */
@AllArgsConstructor
@Getter
public enum ESignInState {

    /**
     * 0=正常登录
     */
    NORMAL(0, "正常", 0, EnumsPrefixConstants.ESIGN_IN_STATE + "0"),
    /**
     * 1=限制登录
     */
    LIMIT(1, "限制登录", 0, EnumsPrefixConstants.ESIGN_IN_STATE + "1"),
    /**
     * 2=禁止登录
     */
    PROHIBIT(2, "禁止登录", 0, EnumsPrefixConstants.ESIGN_IN_STATE + "2"),


    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    /**
     * 根据枚举值获取枚举
     *
     * @param value 枚举值
     * @return
     */
    public static ESignInState getEnumByValue(int value) {
        for (ESignInState eApproveStatus : ESignInState.values()) {
            if (eApproveStatus.getValue() == value) {
                return eApproveStatus;
            }
        }
        return null;
    }

}
